(function(app) {                    
  app.CitiesService = ng.core
    .Class({
      constructor: [ng.http.Http, function(_http) {
        this.http = _http;
      }],
      get: function() {
        return this.http.get('/cities')
                   .map(function(response) {
                     if(response.status !== 200)
                       throw new Error("error: status: " + response.status);
                     return response.text();
                   })
                   .catch(function(err) {
                     return Observable.throw(err.message);
                   });
      }
    });
})(window.app || (window.app = {}));